#pragma once
#include "MicroBehaviour.h"

class RoamingScoutMicroBehaviour : public MicroBehaviour {
public:
	RoamingScoutMicroBehaviour(UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();
	virtual void pickNewExploreTarget();
	virtual void lookForAttackTarget();
	void relinquishExploreTarget();
	void alertNearByAllies();

private:
	BWAPI::Position targetPosition;
	InformationCell* targetCell;
	UnitManager* unitManager;

	bool attacking;
	bool moving;

protected:


};